Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -1533,33 +1539,33 @@
 
           v_comp(k) = v(k,j+1,i) + v(k,j,i)
-          flux_n(k) = ( v_comp(k) - gv ) * (                                 &
-                     ( 37.0 * ibit23 * adv_mom_5                             &
-                  +     7.0 * ibit22 * adv_mom_3                             &
-                  +           ibit21 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( v(k,j+1,i) + v(k,j,i)   )                 &
-              -      (  8.0 * ibit23 * adv_mom_5                             &
-                  +           ibit22 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( v(k,j+2,i) + v(k,j-1,i) )                 &
-              +      (        ibit23 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( v(k,j+3,i) + v(k,j-2,i) )                 &
-                               )
-
-          diss_n(k) = - ABS( v_comp(k) - gv ) * (                            &
-                     ( 10.0 * ibit23 * adv_mom_5                             &
-                  +     3.0 * ibit22 * adv_mom_3                             &
-                  +           ibit21 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( v(k,j+1,i) - v(k,j,i)  )                  &
-              -      (  5.0 * ibit23 * adv_mom_5                             &
-                  +           ibit22 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( v(k,j+2,i) - v(k,j-1,i) )                 &
-              +      (        ibit23 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( v(k,j+3,i) - v(k,j-2,i) )                 &
-                                        )
+          flux_n(k) = ( v_comp(k) - gv ) * (                                  &
+                     ( 37.0_wp * ibit23 * adv_mom_5                           &
+                  +     7.0_wp * ibit22 * adv_mom_3                           &
+                  +              ibit21 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( v(k,j+1,i) + v(k,j,i)   )               &
+              -      (  8.0_wp * ibit23 * adv_mom_5                           &
+                  +              ibit22 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( v(k,j+2,i) + v(k,j-1,i) )               &
+              +      (           ibit23 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( v(k,j+3,i) + v(k,j-2,i) )               &
+                                           )
+
+          diss_n(k) = - ABS( v_comp(k) - gv ) * (                             &
+                     ( 10.0_wp * ibit23 * adv_mom_5                           &
+                  +     3.0_wp * ibit22 * adv_mom_3                           &
+                  +              ibit21 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( v(k,j+1,i) - v(k,j,i)   )               &
+              -      (  5.0_wp * ibit23 * adv_mom_5                           &
+                  +              ibit22 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( v(k,j+2,i) - v(k,j-1,i) )               &
+              +      (           ibit23 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( v(k,j+3,i) - v(k,j-2,i) )               &
+                                                )
 !
 !--       k index has to be modified near bottom and top, else array
@@ -1574,32 +1580,32 @@
 
           w_comp    = w(k,j-1,i) + w(k,j,i)
-          flux_t(k) = w_comp  * (                                            &
-                     ( 37.0 * ibit26 * adv_mom_5                             &
-                  +     7.0 * ibit25 * adv_mom_3                             &
-                  +           ibit24 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( v(k+1,j,i)   + v(k,j,i)    )                  &
-              -      (  8.0 * ibit26 * adv_mom_5                             &
-                  +           ibit25 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-              +      (        ibit26 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
+          flux_t(k) = w_comp  * (                                             &
+                     ( 37.0_wp * ibit26 * adv_mom_5                           &
+                  +     7.0_wp * ibit25 * adv_mom_3                           &
+                  +              ibit24 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( v(k+1,j,i)   + v(k,j,i)    )                &
+              -      (  8.0_wp * ibit26 * adv_mom_5                           &
+                  +              ibit25 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                &
+              +      (           ibit26 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                &
                                  )
 
-          diss_t(k) = - ABS( w_comp ) * (                                    &
-                     ( 10.0 * ibit26 * adv_mom_5                             &
-                  +     3.0 * ibit25 * adv_mom_3                             &
-                  +           ibit24 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( v(k+1,j,i)   - v(k,j,i)    )                  &
-              -      (  5.0 * ibit26 * adv_mom_5                             &
-                  +           ibit25 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-              +      (        ibit26 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
+          diss_t(k) = - ABS( w_comp ) * (                                     &
+                     ( 10.0_wp * ibit26 * adv_mom_5                           &
+                  +     3.0_wp * ibit25 * adv_mom_3                           &
+                  +              ibit24 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( v(k+1,j,i)   - v(k,j,i)    )                &
+              -      (  5.0_wp * ibit26 * adv_mom_5                           &
+                  +              ibit25 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                &
+              +      (           ibit26 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                &
                                          )
 !
@@ -1607,8 +1613,8 @@
 !--       correction is needed to overcome numerical instabilities introduced
 !--       by a not sufficient reduction of divergences near topography. 
-          div = ( ( u_comp + gu - ( u(k,j-1,i)   + u(k,j,i)   ) ) * ddx      &
-               +  ( v_comp(k)   - ( v(k,j,i)     + v(k,j-1,i) ) ) * ddy      &
-               +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) ) ) * ddzw(k)  &
-                ) * 0.5
+          div = ( ( u_comp + gu - ( u(k,j-1,i)   + u(k,j,i)   ) ) * ddx       &
+               +  ( v_comp(k)   - ( v(k,j,i)     + v(k,j-1,i) ) ) * ddy       &
+               +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) ) ) * ddzw(k)   &
+                ) * 0.5_wp
 
           tend(k,j,i) = tend(k,j,i) - (                                       &
@@ -1633,8 +1639,8 @@
            sums_vs2_ws_l(k,tn) = sums_vs2_ws_l(k,tn)                          &
              + ( flux_n(k)                                                    &
-             * ( v_comp(k) - 2.0 * hom(k,1,2,0) )                             &
-             / ( v_comp(k) - gv + 1.0E-20_wp )                                &
+             * ( v_comp(k) - 2.0_wp * hom(k,1,2,0)      )                     &
+             / ( v_comp(k) - gv + 1.0E-20_wp       )                          &
              +   diss_n(k)                                                    &
-             *   ABS( v_comp(k) - 2.0 * hom(k,1,2,0) )                        &
+             *   ABS( v_comp(k) - 2.0_wp * hom(k,1,2,0) )                     &
              / ( ABS( v_comp(k) - gv ) +1.0E-20_wp ) )                        &
              *   weight_substep(intermediate_timestep_count)
@@ -1650,25 +1656,25 @@
 
           u_comp    = u(k,j-1,i+1) + u(k,j,i+1) - gu
-          flux_r(k) = u_comp * (                                           &
-                      37.0 * ( v(k,j,i+1) + v(k,j,i)   )                   &
-                    -  8.0 * ( v(k,j,i+2) + v(k,j,i-1) )                   &
-                    +        ( v(k,j,i+3) + v(k,j,i-2) ) ) * adv_mom_5
-
-          diss_r(k) = - ABS( u_comp ) * (                                  &
-                      10.0 * ( v(k,j,i+1) - v(k,j,i) )                     &
-                    -  5.0 * ( v(k,j,i+2) - v(k,j,i-1) )                   &
-                    +        ( v(k,j,i+3) - v(k,j,i-2) ) ) * adv_mom_5
+          flux_r(k) = u_comp * (                                              &
+                      37.0_wp * ( v(k,j,i+1) + v(k,j,i)   )                   &
+                    -  8.0_wp * ( v(k,j,i+2) + v(k,j,i-1) )                   &
+                    +           ( v(k,j,i+3) + v(k,j,i-2) ) ) * adv_mom_5
+
+          diss_r(k) = - ABS( u_comp ) * (                                     &
+                      10.0_wp * ( v(k,j,i+1) - v(k,j,i) )                     &
+                    -  5.0_wp * ( v(k,j,i+2) - v(k,j,i-1) )                   &
+                    +           ( v(k,j,i+3) - v(k,j,i-2) ) ) * adv_mom_5
 
 
           v_comp(k) = v(k,j+1,i) + v(k,j,i)
-          flux_n(k) = ( v_comp(k) - gv ) * (                               &
-                      37.0 * ( v(k,j+1,i) + v(k,j,i)   )                   &
-                    -  8.0 * ( v(k,j+2,i) + v(k,j-1,i) )                   &
-                      +      ( v(k,j+3,i) + v(k,j-2,i) ) ) * adv_mom_5
-
-          diss_n(k) = - ABS( v_comp(k) - gv ) * (                          &
-                      10.0 * ( v(k,j+1,i) - v(k,j,i)   )                   &
-                    -  5.0 * ( v(k,j+2,i) - v(k,j-1,i) )                   &
-                    +        ( v(k,j+3,i) - v(k,j-2,i) ) ) * adv_mom_5
+          flux_n(k) = ( v_comp(k) - gv ) * (                                  &
+                      37.0_wp * ( v(k,j+1,i) + v(k,j,i)   )                   &
+                    -  8.0_wp * ( v(k,j+2,i) + v(k,j-1,i) )                   &
+                      +         ( v(k,j+3,i) + v(k,j-2,i) ) ) * adv_mom_5
+
+          diss_n(k) = - ABS( v_comp(k) - gv ) * (                             &
+                      10.0_wp * ( v(k,j+1,i) - v(k,j,i)   )                   &
+                    -  5.0_wp * ( v(k,j+2,i) - v(k,j-1,i) )                   &
+                    +           ( v(k,j+3,i) - v(k,j-2,i) ) ) * adv_mom_5
 !
 !--       k index has to be modified near bottom and top, else array
@@ -1683,32 +1689,32 @@
 
           w_comp    = w(k,j-1,i) + w(k,j,i)
-          flux_t(k) = w_comp  * (                                            &
-                     ( 37.0 * ibit26 * adv_mom_5                             &
-                  +     7.0 * ibit25 * adv_mom_3                             &
-                  +           ibit24 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( v(k+1,j,i)   + v(k,j,i)    )                  &
-              -      (  8.0 * ibit26 * adv_mom_5                             &
-                  +           ibit25 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-              +      (        ibit26 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
+          flux_t(k) = w_comp  * (                                             &
+                     ( 37.0_wp * ibit26 * adv_mom_5                           &
+                  +     7.0_wp * ibit25 * adv_mom_3                           &
+                  +              ibit24 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( v(k+1,j,i)   + v(k,j,i)    )                &
+              -      (  8.0_wp * ibit26 * adv_mom_5                           &
+                  +              ibit25 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( v(k_pp,j,i)  + v(k-1,j,i)  )                &
+              +      (           ibit26 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( v(k_ppp,j,i) + v(k_mm,j,i) )                &
                                  )
 
-          diss_t(k) = - ABS( w_comp ) * (                                    &
-                     ( 10.0 * ibit26 * adv_mom_5                             &
-                  +     3.0 * ibit25 * adv_mom_3                             &
-                  +           ibit24 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( v(k+1,j,i)   - v(k,j,i)    )                  &
-              -      (  5.0 * ibit26 * adv_mom_5                             &
-                  +           ibit25 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-              +      (        ibit26 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
+          diss_t(k) = - ABS( w_comp ) * (                                     &
+                     ( 10.0_wp * ibit26 * adv_mom_5                           &
+                  +     3.0_wp * ibit25 * adv_mom_3                           &
+                  +              ibit24 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( v(k+1,j,i)   - v(k,j,i)    )                &
+              -      (  5.0_wp * ibit26 * adv_mom_5                           &
+                  +              ibit25 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( v(k_pp,j,i)  - v(k-1,j,i)  )                &
+              +      (           ibit26 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( v(k_ppp,j,i) - v(k_mm,j,i) )                &
                                          )
 !
@@ -1716,8 +1722,8 @@
 !--       correction is needed to overcome numerical instabilities introduced
 !--       by a not sufficient reduction of divergences near topography.
-          div = ( ( u_comp + gu - ( u(k,j-1,i)   + u(k,j,i)   ) ) * ddx      &
-               +  ( v_comp(k)   - ( v(k,j,i)     + v(k,j-1,i) ) ) * ddy      &
-               +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) ) ) * ddzw(k)  &
-                ) * 0.5
+          div = ( ( u_comp + gu - ( u(k,j-1,i)   + u(k,j,i)   ) ) * ddx       &
+               +  ( v_comp(k)   - ( v(k,j,i)     + v(k,j-1,i) ) ) * ddy       &
+               +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) ) ) * ddzw(k)   &
+                ) * 0.5_wp
 
           tend(k,j,i) = tend(k,j,i) - (                                       &
@@ -1742,14 +1748,14 @@
            sums_vs2_ws_l(k,tn) = sums_vs2_ws_l(k,tn)                          &
              + ( flux_n(k)                                                    &
-             * ( v_comp(k) - 2.0 * hom(k,1,2,0) )                             &
-             / ( v_comp(k) - gv + 1.0E-20_wp )                                &
+             * ( v_comp(k) - 2.0_wp * hom(k,1,2,0)      )                     &
+             / ( v_comp(k) - gv + 1.0E-20_wp       )                          &
              +   diss_n(k)                                                    &
-             *   ABS( v_comp(k) - 2.0 * hom(k,1,2,0) )                        &
+             *   ABS( v_comp(k) - 2.0_wp * hom(k,1,2,0) )                     &
              / ( ABS( v_comp(k) - gv ) +1.0E-20_wp ) )                        &
              *   weight_substep(intermediate_timestep_count)
 !
 !--        Statistical Evaluation of w'v'.
-           sums_wsvs_ws_l(k,tn) = sums_wsvs_ws_l(k,tn)                         &
-                              + ( flux_t(k) + diss_t(k) )                      &
+           sums_wsvs_ws_l(k,tn) = sums_wsvs_ws_l(k,tn)                        &
+                              + ( flux_t(k) + diss_t(k) )                     &
                               *   weight_substep(intermediate_timestep_count)
 
@@ -1767,23 +1773,23 @@
     SUBROUTINE advec_w_ws_ij( i, j, i_omp, tn )
 
-       USE arrays_3d,                                                          &
+       USE arrays_3d,                                                         &
            ONLY:  ddzu, diss_l_w, diss_s_w, flux_l_w, flux_s_w, tend, u, v, w
 
-       USE constants,                                                          &
+       USE constants,                                                         &
            ONLY:  adv_mom_1, adv_mom_3, adv_mom_5
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                &
            ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
+       USE grid_variables,                                                    &
            ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, wall_flags_0,         &
+       USE indices,                                                           &
+           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, wall_flags_0,        &
                   wall_flags_00
 
        USE kinds
        
-       USE statistics,                                                         &
+       USE statistics,                                                        &
            ONLY:  hom, sums_ws2_ws_l, weight_substep
 
@@ -1824,6 +1830,6 @@
        REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !:
 
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 
 !
@@ -1838,32 +1844,32 @@
              v_comp         = v(k+1,j,i) + v(k,j,i) - gv
              flux_s_w(k,tn) = v_comp * (                                      &
-                            ( 37.0 * ibit32 * adv_mom_5                       &
-                         +     7.0 * ibit31 * adv_mom_3                       &
-                         +           ibit30 * adv_mom_1                       &
+                            ( 37.0_wp * ibit32 * adv_mom_5                    &
+                         +     7.0_wp * ibit31 * adv_mom_3                    &
+                         +              ibit30 * adv_mom_1                    &
                             ) *                                               &
-                                     ( w(k,j,i)   + w(k,j-1,i) )              &
-                     -      (  8.0 * ibit32 * adv_mom_5                       &
-                         +           ibit31 * adv_mom_3                       &
+                                        ( w(k,j,i)   + w(k,j-1,i) )           &
+                     -      (  8.0_wp * ibit32 * adv_mom_5                    &
+                         +              ibit31 * adv_mom_3                    &
                             ) *                                               &
-                                     ( w(k,j+1,i) + w(k,j-2,i) )              &
-                     +      (        ibit32 * adv_mom_5                       &
+                                        ( w(k,j+1,i) + w(k,j-2,i) )           &
+                     +      (           ibit32 * adv_mom_5                    &
                             ) *                                               &
-                                     ( w(k,j+2,i) + w(k,j-3,i) )              &
-                                         )
+                                        ( w(k,j+2,i) + w(k,j-3,i) )           &
+                                       )
 
              diss_s_w(k,tn) = - ABS( v_comp ) * (                             &
-                            ( 10.0 * ibit32 * adv_mom_5                       &
-                         +     3.0 * ibit31 * adv_mom_3                       &
-                         +           ibit30 * adv_mom_1                       &
+                            ( 10.0_wp * ibit32 * adv_mom_5                    &
+                         +     3.0_wp * ibit31 * adv_mom_3                    &
+                         +              ibit30 * adv_mom_1                    &
                             ) *                                               &
-                                     ( w(k,j,i)   - w(k,j-1,i) )              &
-                     -      (  5.0 * ibit32 * adv_mom_5                       &
-                         +           ibit31 * adv_mom_3                       &
+                                        ( w(k,j,i)   - w(k,j-1,i) )           &
+                     -      (  5.0_wp * ibit32 * adv_mom_5                    &
+                         +              ibit31 * adv_mom_3                    &
                             ) *                                               &
-                                     ( w(k,j+1,i) - w(k,j-2,i) )              &
-                     +      (        ibit32 * adv_mom_5                       &
+                                        ( w(k,j+1,i) - w(k,j-2,i) )           &
+                     +      (           ibit32 * adv_mom_5                    &
                             ) *                                               &
-                                     ( w(k,j+2,i) - w(k,j-3,i) )              &
-                                                 )
+                                        ( w(k,j+2,i) - w(k,j-3,i) )           &
+                                                )
 
           ENDDO
@@ -1873,11 +1879,11 @@
              v_comp         = v(k+1,j,i) + v(k,j,i) - gv
              flux_s_w(k,tn) = v_comp * (                                      &
-                           37.0 * ( w(k,j,i) + w(k,j-1,i)   )                 &
-                         -  8.0 * ( w(k,j+1,i) +w(k,j-2,i)  )                 &
-                         +        ( w(k,j+2,i) + w(k,j-3,i) ) ) * adv_mom_5
+                           37.0_wp * ( w(k,j,i) + w(k,j-1,i)   )              &
+                         -  8.0_wp * ( w(k,j+1,i) +w(k,j-2,i)  )              &
+                         +           ( w(k,j+2,i) + w(k,j-3,i) ) ) * adv_mom_5
              diss_s_w(k,tn) = - ABS( v_comp ) * (                             &
-                           10.0 * ( w(k,j,i) - w(k,j-1,i)   )                 &
-                         -  5.0 * ( w(k,j+1,i) - w(k,j-2,i) )                 &
-                         +        ( w(k,j+2,i) - w(k,j-3,i) ) ) * adv_mom_5
+                           10.0_wp * ( w(k,j,i) - w(k,j-1,i)   )              &
+                         -  5.0_wp * ( w(k,j+1,i) - w(k,j-2,i) )              &
+                         +           ( w(k,j+2,i) - w(k,j-3,i) ) ) * adv_mom_5
 
           ENDDO
@@ -1895,32 +1901,32 @@
 
              u_comp           = u(k+1,j,i) + u(k,j,i) - gu
-             flux_l_w(k,j,tn) = u_comp * (                                     &
-                             ( 37.0 * ibit29 * adv_mom_5                       &
-                          +     7.0 * ibit28 * adv_mom_3                       &
-                          +           ibit27 * adv_mom_1                       &
-                             ) *                                               &
-                                     ( w(k,j,i)   + w(k,j,i-1) )               &
-                      -      (  8.0 * ibit29 * adv_mom_5                       &
-                          +           ibit28 * adv_mom_3                       &
-                             ) *                                               &
-                                     ( w(k,j,i+1) + w(k,j,i-2) )               &
-                      +      (        ibit29 * adv_mom_5                       &
-                             ) *                                               &
-                                     ( w(k,j,i+2) + w(k,j,i-3) )               &
+             flux_l_w(k,j,tn) = u_comp * (                                    &
+                             ( 37.0_wp * ibit29 * adv_mom_5                   &
+                          +     7.0_wp * ibit28 * adv_mom_3                   &
+                          +              ibit27 * adv_mom_1                   &
+                             ) *                                              &
+                                        ( w(k,j,i)   + w(k,j,i-1) )           &
+                      -      (  8.0_wp * ibit29 * adv_mom_5                   &
+                          +              ibit28 * adv_mom_3                   &
+                             ) *                                              &
+                                        ( w(k,j,i+1) + w(k,j,i-2) )           &
+                      +      (           ibit29 * adv_mom_5                   &
+                             ) *                                              &
+                                        ( w(k,j,i+2) + w(k,j,i-3) )           &
                                          )
 
-               diss_l_w(k,j,tn) = - ABS( u_comp ) * (                          &
-                             ( 10.0 * ibit29 * adv_mom_5                       &
-                          +     3.0 * ibit28 * adv_mom_3                       &
-                          +           ibit27 * adv_mom_1                       &
-                             ) *                                               &
-                                     ( w(k,j,i)   - w(k,j,i-1) )               &
-                      -      (  5.0 * ibit29 * adv_mom_5                       &
-                          +           ibit28 * adv_mom_3                       &
-                             ) *                                               &
-                                     ( w(k,j,i+1) - w(k,j,i-2) )               &
-                      +      (        ibit29 * adv_mom_5                       &
-                             ) *                                               &
-                                     ( w(k,j,i+2) - w(k,j,i-3) )               &
+               diss_l_w(k,j,tn) = - ABS( u_comp ) * (                         &
+                             ( 10.0_wp * ibit29 * adv_mom_5                   &
+                          +     3.0_wp * ibit28 * adv_mom_3                   &
+                          +              ibit27 * adv_mom_1                   &
+                             ) *                                              &
+                                        ( w(k,j,i)   - w(k,j,i-1) )           &
+                      -      (  5.0_wp * ibit29 * adv_mom_5                   &
+                          +              ibit28 * adv_mom_3                   &
+                             ) *                                              &
+                                        ( w(k,j,i+1) - w(k,j,i-2) )           &
+                      +      (           ibit29 * adv_mom_5                   &
+                             ) *                                              &
+                                        ( w(k,j,i+2) - w(k,j,i-3) )           &
                                                     )
 
